<div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8">
          <div class="card text-center">
            <div class="card-header">
              Bienvenue sur mon carnet d'entrainement !
            </div>
            <div class="card-body">
              <h4 class="card-title">J'ai déjà un compte ?</h4>
              <form (ngSubmit)="onLogin()" #f="ngForm">
                <div class="form-group text-left">
                  <label for="email">Adresse Mail</label>
                  <input type="email" class="form-control" name="email" placeholder="Exemple : jean@dupont.com" ngModel email required #email="ngModel">
                  <small *ngIf="!email.valid && email.touched" class="form-text">Veuillez entrer un email valide</small>
                  <small style="color: gray; font-style: italic;">Email test: test@test.com</small>
                </div>
                <div class="form-group text-left">
                  <label for="password">Mot de passe</label>
                  <input type="password" class="form-control" name="password" placeholder="Mot de passe" ngModel required #password="ngModel">
                  <small *ngIf="!password.valid && password.touched" class="form-text">Veuillez entrer un mot de passe</small>
                  <small style="color: gray; font-style: italic;">Mot de passe test: test123</small>
                </div>
                <button type="submit" class="btn btn-primary" [disabled]="!f.valid">Connexion</button>
              </form>
  
              <h6 class="mt-3"><a class="card-link" routerLink="/signup">Je n'ai pas de compte</a></h6>
            </div>
          </div>
        </div>
      </div>
  </div>